import { purgeCss } from 'vite-plugin-tailwind-purgecss';
import { sveltekit } from '@sveltejs/kit/vite';
import { defineConfig } from 'vite';
import { SvelteKitPWA } from '@vite-pwa/sveltekit';

export default defineConfig({
	plugins: [sveltekit(), purgeCss(), SvelteKitPWA()],
	define: {
		__APP_VERSION__: JSON.stringify(process.env.npm_package_version),
	},
});
